with timeout of 2629743 seconds
  set exitApp to "no"
  repeat while exitApp is "no"   
    tell application "SpeechRecognitionServer" -- <callout id="code.osx-voice-automation.scpt.speechrecognizer"/>
      activate
      try
        set voiceResponse to listen for {"zapal wiato", "zga wiato", ¬
            "otwrz drzwi", "wcz muzyk", "wstrzymaj muzyk", ¬
            "wznw muzyk", "zatrzymaj muzyk", "nastpny utwr", ¬
            "goniej", "ciszej", ¬
            "poprzedni utwr", "sprawd poczt", "godzina", "zadzwo", ¬
            "koniec rozmowy", "zamknij aplikacj"} giving up after 2629743
      on error -- limit czasowy
            return
      end try
    end tell
      
    if voiceResponse is "zapal wiato" then  -- <callout id="code.osx-voice-automation.scpt.lighton"/>
      -- otwiera adres URL wczajcy internetowy wcznik wiata
      open location "http://192.168.1.100:3344/command/on"
      say "wiato jest wczone."
        
    else if voiceResponse is "zga wiato" then
      -- otwiera adres URL wyczajcy internetowy wcznik wiata
      open location "http://192.168.1.100:3344/command/off"
      say "wiato jest wyczone."
        
    else if voiceResponse is "otwrz drzwi" then
      -- otwiera adres URL powodujcy odblokowanie zamka sterowanego przez Androida
      open location "http://192.168.1.230:8000"
      say "Otwieranie drzwi."
        
    else if voiceResponse is "wcz muzyk" then  -- <callout id="code.osx-voice-automation.scpt.playmusic"/>
      tell application "iTunes"
        set musicList to {"Anuluj"} as list
        set myList to (get artist of every track ¬
            of playlist 1) as list     
        repeat with myItem in myList
          if musicList does not contain myItem then
            set musicList to musicList & myItem
          end if
        end repeat
      end tell
        
      say "Ktrego wykonawcy chcesz posucha?"
      tell application "SpeechRecognitionServer"
        set theArtistListing to ¬
            (listen for musicList with prompt musicList)
      end tell 
      if theArtistListing is not "Anuluj" then
        say "Ktrego albumu " & theArtistListing & ¬
            " chcesz posucha?"
        tell application "iTunes"
          tell source "Library"
            tell library playlist 1
              set uniqueAlbumList to {}
              set albumList to album of tracks ¬
                where artist is equal to theArtistListing
                        
                repeat until albumList = {}
                  if uniqueAlbumList does not contain ¬
                    (first item of albumList) then
                    copy (first item of albumList) to end of ¬
                         uniqueAlbumList
                  end if
                  set albumList to rest of albumList
                end repeat
                        
                set theUniqueAlbumList to {"Anuluj"} & uniqueAlbumList
                tell application "SpeechRecognitionServer"
                  set theAlbum to (listen for the theUniqueAlbumList ¬
                       with prompt theUniqueAlbumList)
                end tell
            end tell
            if theAlbum is not "Anuluj" then
              if not ((name of playlists) contains "Current Album") then
              set theAlbumPlaylist to ¬
                  make new playlist with properties {name:"Current Album"}
              else
                set theAlbumPlaylist to playlist "Current Album"
                delete every track of theAlbumPlaylist
              end if
              tell library playlist 1 to duplicate ¬
                (every track whose album is theAlbum) to theAlbumPlaylist
                play theAlbumPlaylist
            else
              say "Anulowanie wyboru muzyki"
            end if
          end tell
        end tell
      else
        say "Anulowanie wyboru muzyki"
      end if
        
    else if voiceResponse is "wstrzymaj muzyk" or ¬   -- <callout id="code.osx-voice-automation.scpt.miscmusic"/>
      voiceResponse is "wznw muzyk" then
      tell application "iTunes"
        playpause
      end tell
        
    else if voiceResponse is "zatrzymaj muzyk" then
      tell application "iTunes"
        stop
      end tell
        
    else if voiceResponse is "nastpny utwr" then
      tell application "iTunes"
        next track
      end tell
        
    else if voiceResponse is "poprzedni utwr" then
      tell application "iTunes"
        previous track
      end tell
        
    -- Zwiksza i zmniejsza gono (kod zaczerpnity z wpisu HexMonkeya:
    -- http://forums.macrumors.com/showthread.php?t=144749).
    else if voiceResponse is "goniej" then   -- <callout id="code.osx-voice-automation.scpt.volume"/>      
      set currentVolume to output volume of (get volume settings)
      set scaledVolume to round (currentVolume / (100 / 16))
      set scaledVolume to scaledVolume + 1
      if (scaledVolume > 16) then
        set scaledVolume to 16
      end if
      set newVolume to round (scaledVolume / 16 * 100)
      set volume output volume newVolume
    else if voiceResponse is "ciszej" then
      set currentVolume to output volume of (get volume settings)
      set scaledVolume to round (currentVolume / (100 / 16))
      set scaledVolume to scaledVolume - 1
      if (scaledVolume < 0) then
        set scaledVolume to 0
      end if 
      set newVolume to round (scaledVolume / 16 * 100)
      set volume output volume newVolume

    else if voiceResponse is "sprawd poczt" then  -- <callout id="code.osx-voice-automation.scpt.checkmail"/>
      tell application "Mail"
        activate
        check for new mail
        set unreadEmailCount to unread count in inbox
        if unreadEmailCount is equal to 0 then
          say "W skrzynce odbiorczej nie ma nieprzeczytanych wiadomoci."
        else if unreadEmailCount is equal to 1 then
          say "W skrzynce odbiorczej jest jedna nieprzeczytana wiadomo."
        else
          say "Masz  " & unreadEmailCount & ¬
              " nieprzeczytanych wiadomoci w skrzynce odbiorczej."
        end if
        if unreadEmailCount is greater than 0 then
          say "Mam przeczyta nieprzeczytane wiadomoci?"
          tell application "SpeechRecognitionServer"
            activate
            set voiceResponse to listen for {"tak", "nie"} ¬
                giving up after 1 * minutes
          end tell
          if voiceResponse is "tak" then
            set allMessages to every message in inbox
            repeat with aMessage in allMessages
              if read status of aMessage is false then
                set theSender to sender of aMessage
                set {savedDelimiters, AppleScript's text item delimiters} ¬
                    to {AppleScript's text item delimiters, "<"}
                set senderName to first text item of theSender
                set AppleScript's text item delimiters ¬
                    to savedDelimiters
                say "Nadawca: " & senderName
                say "Temat: " & subject of aMessage
                delay 1
              end if
            end repeat
          end if
        end if
      end tell
        
    else if voiceResponse is "godzina" then  -- <callout id="code.osx-voice-automation.scpt.time"/>
      set current_time to (time string of (current date))
      set {savedDelimiters, AppleScript's text item delimiters} to ¬
          {AppleScript's text item delimiters, ":"}
      set hours to first text item of current_time
      set minutes to the second text item of current_time
      set AMPM to third text item of current_time
      set AMPM to text 3 thru 5 of AMPM
      set AppleScript's text item delimiters to savedDelimiters
      say "The time is " & hours & " " & minutes & AMPM
      --else if voiceResponse is "make a call" then    <callout id="code.osx-voice-automation.scpt.skype"/>
      --  tell application "Skype"
      -- -- Podczas pierwszej prby dostpu do aplikacji Skype za porednictwem tego skryptu
      -- -- zostanie wywietlone okno dialogowe zabezpiecze interfejsu API Skypea.
      -- -- Wybiera opcj "Pozwl tej aplikacji uywa Skypea", aby ¬
      -- -- od tej pory skrypt mia dostp do interfejsu API tej aplikacji.
      --    activate
      --   -- identyfikator testowej usugi echo123 naley zastpi ¬
      --   -- numerem telefonu lub identyfikatorem uytkownika komunikatora Skype
      --      send command "CALL echo123" script name ¬
      --      "Place Skype Call"
      --    end tell
      --  else if voiceResponse is "hang up" then
      --    tell application "Skype"
      --      quit
      --  end tell
    else if voiceResponse is "zamknij aplikacj" then   -- <callout id="code.osx-voice-automation.scpt.quit"/>
      set exitApp to "tak"
      say "Zakoczono nasuchiwanie. Zamykanie aplikacji."
      delay 1
      do shell script "killall SpeechRecognitionServer"
    end if
  end repeat
end timeout